/*noinspection ALL*/
.timeline {
    position: relative;
    padding: 21px 0 10px;
    margin-top: 4px;
    margin-bottom: 30px;
}

.timeline .line {
    position: absolute;
    width: 4px;
    display: block;
    background: currentColor;
    top: 0;
    bottom: 0;
    margin-left: 30px;
}

.timeline .separator {
    border-top: 1px solid currentColor;
    padding: 5px 5px 5px 40px;
    font-style: italic;
    font-size: .9em;
    margin-left: 30px;
}

.timeline .line::before {
    top: -4px;
}

.timeline .line::after {
    bottom: -4px;
}

.timeline .line::before,
.timeline .line::after {
    content: '';
    position: absolute;
    left: -4px;
    width: 12px;
    height: 12px;
    display: block;
    border-radius: 50%;
    background: currentColor;
}

.timeline .panel {
    position: relative;
    margin: 10px 0 21px 70px;
    clear: both;
}

.timeline .panel::before {
    position: absolute;
    display: block;
    top: 8px;
    left: -24px;
    content: '';
    width: 0;
    height: 0;
    border: 12px transparent;
    border-right-color: inherit;
}

.timeline .panel .panel-heading.icon * {
    font-size: 20px;
    vertical-align: middle;
    line-height: 40px;
}

.timeline .panel .panel-heading.icon {
    position: absolute;
    left: -59px;
    display: block;
    width: 40px;
    height: 40px;
    padding: 0;
    border-radius: 50%;
    text-align: center;
    float: left;
}

.timeline .panel-outline {
    border-color: transparent;
    background: transparent;
    box-shadow: none;
}

.timeline .panel-outline .panel-body {
    padding: 10px 0;
}

.timeline .panel-outline .panel-heading:not(.icon),
.timeline .panel-outline .panel-footer {
    display: none;
}

.select2.select2-container {
    width: 100% !important;
}

.ajax-loader {
    /*show above modals*/
    z-index: 1051;
    position: fixed;
    top: 50%;
    left: 50%;
    margin-top: -108px;
    margin-left: -108px;
}

h2 .aside {
    float: right;
}

.order-log-form {
    float: right;
    display: flex;
}

.order-log-form input, .order-log-form select {
    margin: 0 2px;
}

.order-log-form #order_log_date {
    display: flex;
}

.order-log-form #order_log_type {
    width: 200px;
}

.link-disable {
    color: inherit;
    text-decoration: none;
}

.link-disable:hover {
    color: inherit;
    text-decoration: none;
}

.row-danger {
    background: rgba(217, 83, 79, 0.5);
}

.row-warning {
    background: rgba(240, 173, 78, 0.5);
}

.expanded-details {
    background: rgb(248, 252, 255);
    border-bottom: 2px solid black;
}

.expanded-details .expanded-details {
    background: rgb(246, 247, 255);
    border-bottom: 2px solid black;
}

.tfoot-label {
    font-weight: bold;
    text-align: right;
    padding-right: 12px;
}

.filter-form {
    white-space: nowrap;
}

table .order-link {
    display: inline-block;
    width: 100%;
    color: inherit;
}

table .order-link i {
    float: right;
    margin-top: 3px;
    color: gray;

}

table .order-link:hover {
    text-decoration: none;
}

.export-status {
    background: #000;
    color: #fff;
    padding: 1px 6px;
    display: inline-block;
    border-radius: 50%;
}

.table-form {
    width: 100%;
}

.table-form label {
    width: 100%;
    text-align: left !important;
    padding: 0 0 2px 5px;
}

.table-form td, .table-form th {
    padding: 5px 10px;
}

.table-form .actions {
    width: 57px
}

.table-form-actions {
    margin: 10px;
}

tr.clickable {
    cursor: pointer;
}

tr.clickable:hover {
    background: #fdfdfd;
}

.transaction td:nth-of-type(3) span {
    text-align: center;
    font-weight: bold;
    display: inline-block;
    color: #fff;
    border-radius: 8px;
    padding: 3px 10px;
}

.transaction-refund td:nth-of-type(3) span {
    background: #ff4a4a;
}

.transaction-sale td:nth-of-type(3) span {
    background: #009e00;
}

.ui-widget-content a {
    color: #337ab7;
}

.page-header-with-aside {
    display: flex;
    margin-top: 0;
    align-items: center;
}

.page-header-with-aside h2 {
    flex-grow: 1;
}

.page-header-with-aside aside {
    flex-shrink: 1;
}

.ui-widget-content .btn-primary {
    color: #fff;
}

.bs-callout {
    padding: 20px;
    margin: 20px 0;
    border: 1px solid #eee;
    border-left-width: 5px;
    border-radius: 3px;
}

.bs-callout-danger {
    border-left-color: #d9534f;
}

.bs-callout-warning {
    border-left-color: #f0ad4e;
}

.bs-callout-info {
    border-left-color: #5bc0de;
}

.bs-callout-success {
    border-left-color: #5cb85c;
}

.bs-callout h4 {
    margin-top: 0;
    margin-bottom: 5px;
}

.bs-callout-danger h4 {
    color: #d9534f;
}

.bs-callout-warning h4 {
    color: #f0ad4e;
}

.bs-callout-info h4 {
    color: #5bc0de;
}

.bs-callout-success h4 {
    color: #5cb85c;
}

.date-filter .alert-danger {
    margin: 10px 0;
    padding: 7px 13px;
    width: calc(100% - 28px);
}

/* NEW 2nd-Level Dropdown CSS START */
.dropdown-submenu {
    position: relative;
}

.dropdown-submenu .caret {
    -webkit-transform: rotate(-90deg);
    transform: rotate(-90deg);
}

.dropdown-submenu > .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -6px;
    margin-left: -1px;
}

.dropdown-submenu.open > a::after {
    border-left-color: #fff;
}

.dropdown-submenu.open > .dropdown-menu, .dropdown-submenu.open > .dropdown-menu {
    display: block;
}

.dropdown-submenu .dropdown-menu {
    margin-bottom: 8px;
}

.navbar-default .navbar-nav .open .dropdown-menu .dropdown-submenu ul {
    background-color: #f6f6f6;
}

.navbar-inverse .navbar-nav .open .dropdown-menu .dropdown-submenu ul {
    background-color: #333;
}

.navbar .navbar-nav .open .dropdown-submenu .dropdown-menu > li > a {
    padding-left: 30px;
}

@media screen and (min-width: 992px) {
    .dropdown-submenu .dropdown-menu {
        margin-bottom: 2px;
    }

    .navbar .navbar-nav .open .dropdown-submenu .dropdown-menu > li > a {
        padding-left: 25px;
    }

    .navbar-default .navbar-nav .open .dropdown-menu .dropdown-submenu ul {
        background-color: #fff;
    }

    .navbar-inverse .navbar-nav .open .dropdown-menu .dropdown-submenu ul {
        background-color: #fff;
    }
}

/* NEW 2nd-Level Dropdown CSS END */

.table-center, .table-center th {
    text-align: center;
}

.select2-container--default .select2-selection--multiple .select2-selection__clear {
    margin-bottom: 2px;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered li {
    height: calc(100% - 5px);
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered {
    min-height: 25px;
}

dd .edit-button {
    visibility: hidden;
}

dd:hover .edit-button {
    visibility: visible;
}

.dataTable td .edit-button {
    visibility: hidden;
    float: right;
    margin-left: 2px;
}

.dataTable td .edit input, .dataTable td .edit select {
    min-width: 130px;
}

.dataTable td .edit {
    display: none;
}

.dataTable td:hover .edit-button {
    visibility: visible;
}

.dataTable td .checkbox {
    text-align: center;
}

.date-filters input, .date-filters select {
    width: auto;
    display: inline-block;
}

.datetimepicker {
    max-width: 140px;
    text-align: center;
}

.time-input {
    text-align: center;
    max-width: 120px;
}

.nav > li > a:focus, .nav > li > a:hover {
    background-color: #007fff;
    cursor: pointer;
}

.ui-widget-content a.btn .glyphicon {
    color: #fff
}

.ui-widget-content a.btn {
    color: #fff;
}

.form-horizontal .form-group {
    display: flex;
    flex-wrap: nowrap;
    margin: 0 0 10px 0;
    align-items: center;
}

.form-horizontal .form-group > .control-label {
    width: 140px;
    flex-shrink: 0;
    flex-grow: 0;
    text-align: right;
    padding: 0 20px 0 0;
    margin: 0;

}

.form-inline .form-group {
    display: inline-flex;
}

.form-inline .form-group > .control-label {
    width: auto;
}

.form-group > * {
    width: auto;
    flex-grow: 1;
    margin: 0;
    padding: 0;
}

.padding-left {
    padding-left: 15px;
    max-width: calc(100% - 15px);
}

.padding-top {
    padding-top: 15px;
}
.margin-bottom {
    margin-bottom: 15px;
}

.form-group-compound {
    flex-direction: column;
    border: 1px #d0d0d0 solid;
    border-radius: 10px;
    padding: 10px;
}
.form-horizontal .form-group-compound > .control-label {
    width: 100%;
    text-align: left;
    font-size: 1.2em;
    margin-bottom: 15px;
    margin-left: 2%;
    color: #a2a2a2;
}
.form-group-compound > div {
    width: 100%;
}

.document-frame {
    width: 100%;
    height: 80vh;
    border: 1px lightgray solid
}

.key-value  {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    gap: 10px 15px;
    margin: 5px 5px 15px 5px;
    padding: 0;
}
.key-value > * {
    width: calc(33% - 15px);
    min-width: 200px;
}
.key-value .key {
    font-weight: bold;
}

.table-reactive-body tbody:hover {
    background: #f1f1f1;
}
.alert-xs {
    display: inline-block;
    padding: 3px 10px;
    margin-bottom: 0;
}
.report-preview {
    width: 100%;
    height: calc(100vh - 100px)
}